using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace ms_namingservice.Database.Models;

[Table("object_metadata_types")]
public class ObjectMetadataType
{
    [Column("id_object_metadata_type")]
    [Key]
    public int Identifier { get; set; }

    [Column("object_metadata_type")]
    [MaxLength(128)]
    public string Type { get; set; }

    public virtual ICollection<Entity> Objects { get; set; }
}